Returns information on files and folders located inside of the specified folder.
GET storage/{file-path}?filter={file-filter}&isRecursive={is-recursive}
Authentication
This request requires basic authentication.
Request Parameters
Path params
| file-path |
string |
Folder path relative to the root, i.e., everything after ...resources/Storage/. |
|---|
Query params
| filter | string |
File name mask. Only the wildcard * is supported. |
|---|---|---|
| isRecursive | bool |
[optional] Whether to return all folders and files within recursively, i.e., retrieve all nested folders. false by default. |
Samples
Request sample
Bash (Unix Shell) |
[Bash (Unix Shell)] curl --location -g --request GET 'https://{portal-url}/api/v1/storage/project-deep-space-exploration?filter=*&isRecursive=false' |
Response body sample
JSON |
[JSON] [ { "fileName": "2b7f5b28-771e-46fc-9b60-427c6f6e10d9.gif", "fileFullName": "Storage\\project-deep-space-exploration\\2b7f5b28-771e-46fc-9b60-427c6f6e10d9.gif", "content": null, "modifiedBy": "jen", "modifiedOn": "2022-05-06T08:16:29", "size": 490, "isFolder": false }, { "fileName": "Artist_Concept_Planetary_System.jpg", "fileFullName": "Storage\\project-deep-space-exploration\\Artist_Concept_Planetary_System.jpg", "content": null, "modifiedBy": "admin", "modifiedOn": "2022-09-27T12:45:57", "size": 80801, "isFolder": false } ] |
Response fields
| fileName | File name and extension. |
|---|---|
| fileFullName | Full file name, including the base Storage/ folder. |
| content | Base64-encoded file contents. |
| modifiedBy | Login of the user the file was last modified by. |
| modifiedOn | An ISO 8601 timestamp of the file modification date. GMT timezone. |
| size | File size in bytes. |
| isFolder | Whether the entity is a file or a folder. |